POST
/
kling
/
v1
/
videos
/
omni-video
Kling Omni-Video
curl --request POST \
  --url https://vip.xmsmartlink.com/kling/v1/videos/omni-video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_name": "kling-v3-Omni",
  "duration": 5,
  "aspect_ratio": "16:9",
  "mode": "pro",
  "multi_shot": true,
  "shot_type": "customize",
  "multi_prompt": [
    {
      "index": 1,
      "prompt": "第一镜头:人物抬头看向镜头。",
      "duration": "2"
    },
    {
      "index": 2,
      "prompt": "第二镜头:人物转身向远方走去。",
      "duration": "3"
    }
  ],
  "image_list": [
    {
      "image_url": "https://images.unsplash.com/photo-1516117172878-fd2c41f4a759?auto=format&fit=crop&w=1200&q=80"
    }
  ]
}
'
{
  "code": 0,
  "message": "",
  "task_id": "task_xxxxxxxxxxxxxxxx"
}

Authorizations

Authorization
string
header
required

使用 Authorization: Bearer <YOUR_API_KEY> 进行认证。

Body

application/json
model_name
string
required

Kling Omni 模型名称,例如 kling-v3-omni。

prompt
string

提示词;除自定义多镜头外通常必填。

image_list
object[]

图片参考输入,最多 7 张。

video_list
object[]

视频参考输入,最多 1 个。

element_list
object[]

主体参考输入,最多 3 个。

sound
enum<string>

是否生成声音:on 或 off。

Available options:
on,
off
negative_prompt
string

负向提示词。

mode
enum<string>

生成模式:std 标准模式或 pro 专家模式。

Available options:
std,
pro
duration

视频时长。

aspect_ratio
string

视频比例;未使用首帧或视频编辑功能时通常必填。

cfg_scale
number

模型自由度,取值范围 [0, 1],默认 0.5。

multi_shot

是否启用自定义分镜。

shot_type
string

分镜类型,可传 customize。

multi_prompt
object[]

自定义分镜提示词列表。

watermark_info
object

Kling 水印控制对象。

callback_url
string

任务状态回调地址。

external_task_id
string

外部任务 ID。

Response

Kling 任务创建响应。

code
integer
message
string
task_id
string
request_id
string
data
object